Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class GetPropertyResponse

    java.lang.Object
      com.skype.ipc.AbstractDecoder
          com.skype.ipc.GetPropertyResponse

    public class GetPropertyResponse

extends AbstractDecoder

Field Summary

Fields inherited from class com.skype.ipc.AbstractDecoder
`ioTransport, NULL_VALUE`

Constructor Summary
`GetPropertyResponse()`

Method Summary
`byte[]` | `GetAsBinary()`
`byte[]` | `GetAsBinary(int oid, int propid)`
`java.lang.Boolean` | `GetAsBoolean()`
`java.lang.Boolean` | `GetAsBoolean(int oid, int propid)`
`java.lang.Integer` | `GetAsInt()`
`java.lang.Integer` | `GetAsInt(int oid, int propid)`
`java.util.HashMap<java.lang.Integer,java.lang.Object>` | `GetAsMap(int oid, java.util.Collection<java.lang.Integer> propId)` retrieves HashMap of multiresponse values for a given oid
`java.lang.String` | `GetAsString()`
`java.lang.String` | `GetAsString(int oid, int propid)`
`int` | `getOid()`
`int` | `getPropId()`
`boolean` | `HasMore()`
`boolean` | `HasMore(int oid, int propid)`
`boolean` | `isMultiresponse()`
`boolean` | `isValid()`

Methods inherited from class com.skype.ipc.AbstractDecoder
`decodeBinary, decodeBoolean, decodeList, decodeObjectid, decodeOneOfKind, decodeOneVaruint, decodeString, decodeVarint, decodeVaruint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPropertyResponse

    public GetPropertyResponse()

Method Detail

### getPropId

    public int getPropId()

### getOid

    public int getOid()

### GetAsString

    public java.lang.String GetAsString()

### GetAsBinary

    public byte[] GetAsBinary()

### GetAsInt

    public java.lang.Integer GetAsInt()

### GetAsBoolean

    public java.lang.Boolean GetAsBoolean()

### HasMore

    public boolean HasMore()

### GetAsString

    public java.lang.String GetAsString(int oid,
                                        int propid)

### GetAsBinary

    public byte[] GetAsBinary(int oid,
                              int propid)

### GetAsInt

    public java.lang.Integer GetAsInt(int oid,
                                      int propid)

### GetAsBoolean

    public java.lang.Boolean GetAsBoolean(int oid,
                                          int propid)

### HasMore

    public boolean HasMore(int oid,
                           int propid)

### GetAsMap

    public java.util.HashMap<java.lang.Integer,java.lang.Object> GetAsMap(int oid,
                                                                          java.util.Collection<java.lang.Integer> propId)

  retrieves HashMap of multiresponse values for a given oid

### isMultiresponse

    public boolean isMultiresponse()

### isValid

    public boolean isValid()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.